com.android.agf.asynctask

## Class UpdateDataComponent

- java.lang.Object
- - android.os.AsyncTask<String,Void,String>
  - - com.android.agf.asynctask.UpdateDataComponent

- Direct Known Subclasses:
    EditWebviewFragment.MyUpdateEdit

      public class UpdateDataComponent
      extends AsyncTask<String,Void,String>

  classe que implementa una asynctask per actualitzar les dades d'un component d'un dashboard en concret
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateDataComponent(Context ctx, DashComponent comp, int w, int h, float x, float y, String id, String user, String dash)` constructor, inci connexio base de dades

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `doInBackground(String... arg0)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPostExecute, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateDataComponent

          public UpdateDataComponent(Context ctx,
                             DashComponent comp,
                             int w,
                             int h,
                             float x,
                             float y,
                             String id,
                             String user,
                             String dash)

      constructor, inci connexio base de dades
      Parameters:
        `ctx` -
        `comp` -
        `w` -
        `h` -
        `x` -
        `y` -
        `id` -
        `user` -
        `dash` -

  - ### Method Detail

    - #### doInBackground

          protected String doInBackground(String... arg0)

      Specified by:
        `doInBackground` in class `AsyncTask<String,Void,String>`